We can help you navigate all of the challenges of website accessibility

20180123210005

Do you work for a private or non-profit organization with 50+ employees?  Or a public sector organization? 

The Ontario government’s Accessibility for Ontarians with Disabilities Act (AODA) indicates that by law, as of January 2014, these organizations must follow specific guidelines to make new or significantly refreshed public websites accessible to people with disabilities. 

That could mean making changes to accommodate use with a keyboard only, vs. a mouse.  It could mean adding information where you display images, to ensure that someone who is navigating your site with a screen reader can have the same understanding of the content on the page as someone without vision impairment.  And more.

Oops.. you weren’t aware?  Don’t panic!  Even though the initial date has passed, it only applies if you’ve made, or are making, big changes to your website.  When you update the look and feel of your website, your new content needs to follow the guidelines.  And if you fully redesign and launch a new site, you must be compliant.  This helps to provide organizations like yours with plenty of time to make ongoing adjustments to your website design, development and testing processes.

This is leading up to January 1, 2021, when all public websites and web content posted after January 1, 2012 must meet a level of accessibility compliance, known as Website Content Accessibility Guidelines (WCAG) 2.0, Level AA.*     

Saatchi & Saatchi Accessibility Services can help you navigate all of the challenges of website accessibility.  We have developed accessible websites for major enterprises and have provided guidance and consultation for many other clients. We even provide a free, automated, evaluation – as a first step in determining whether your site may need to be updated.

Visit our accessible site at www.wcagaccessibility.ca.

 

*There are two exceptions: criteria 1.2.4 (live captions) and 1.2.5 (pre-recorded audio descriptions) are not yet required.